<?php

declare(strict_types=1);

use Phinx\Migration\AbstractMigration;

/*
CREATE TABLE users (
    id          INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
    email       VARCHAR(255) NOT NULL,
    password    VARCHAR(255) NOT NULL,
    name        VARCHAR(255) NOT NULL,

    created_at DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP,
    updated_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP, 

    PRIMARY KEY(`id`),
    UNIQUE KEY(`email`)
);
 */

final class CreateUsersTable extends AbstractMigration
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * https://book.cakephp.org/phinx/0/en/migrations.html#the-change-method
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change(): void
    {
        $table = $this->table("users");
        $table->addColumn('email', 'string')
              ->addColumn('name', 'string')
              ->addColumn('password', 'string')
              ->addIndex([ 'email' ], [ 'unique' => true ])
              ->create();
    }
}
