<?php

namespace Slovocast\Configuration;

use Nette\Schema\Expect;
use Nette\Schema\Schema;

class SessionSchema
{
    public static function getSchema(): Schema
    {
        return Expect::structure([
            'name' => Expect::string()->default('slovocast'),
            'lifetime' => Expect::int()->min(0)->max(65535)->default(7200),
            'path' => Expect::string()->nullable(),
            'domain' => Expect::string()->nullable(),
            'secure' => Expect::bool()->default(false),
            'httponly' => Expect::bool()->default(false),
            'cache_limiter' => Expect::string()->nullable()
        ]);
    } 
}
