<?php

namespace Slovocast\Domain\Aggregate;

use Slovocast\Domain\Entity\Channel;
use Slovocast\Domain\Entity\Episode;

interface ChannelAggregateInterface
{
    public function getChannel(): Channel;

    /**
     * @return array<Episode>
     */
    public function getEpisodes(): array;
    public function hasEpisodes(): bool;
    public function addEpisode(Episode $episode): void;

    /**
     * @param array<Episode> $episodes
     * @return void;
     */
    public function setEpisodes(array $episodes): void;

}
