<?php

namespace Slovocast\Domain\Repository\Channel;

use Slovocast\Domain\Aggregate\ChannelAggregate;
use Slovocast\Domain\Entity\Channel;
use Slovocast\Domain\Entity\Episode;

/**
 * The ChannelAggregateRepository should only be used to retrieve data from
 * the data source, and not write anything specifically. As the Aggregate is
 * a combination of Channel and Episode models, we should use those
 * respective repositories for writing data to the datastore.
 */
interface ChannelAggregateRepositoryInterface
{
    public function get(int $id): ChannelAggregate;
    public function getFromChannel(Channel $channel): ChannelAggregate;
    public function getFromEpisode(Episode $episode): ChannelAggregate;
}
